import request from "@/utils/request";

/**
 * 规则引擎的增删改查
 * @param data  列表的查询请求
 * @returns {*}
 */

export function selectRuleList(data) {
  return request({
    url: '/rule/rule/list',
    method: 'Post',
    data
  })
}

/**
 * 修改规则引擎的请求
 * @param data
 * @returns {*}
 */

export function updateRuleEngine(data) {
  return request({
    url: `/rule/rule/${data.id}`,
    method: 'Put',
    data:data
  })
}

/**
 * 添加规则引擎的请求
 * @param data
 * @returns {*}
 */
export function AddRuleEngine(data) {
  return request({
    url: '/rule/rule',
    method: 'Post',
    data
  })
}

/**
 * 通过Id规则引擎的请求
 * @param data
 *
 */
export function GetRuleEngine(id) {
  return request({
    url: '/rule/rule/'+id,
    method: 'Get',
  })
}


//根据ID删除规则引擎
export function DeliteRuleEngine(id){
  return request({
    url:`/rule/rule/${id}`,
    method: 'DELETE'
  })
}


/**
 * 规则域下拉框
 * @returns {*}
 */
export function findAllRuleRegion() {
  return request({
    url: '/rule/rule/findAllRuleRegion',
    method: 'Post',
  })
}
/**
 * 通过Id获取的请求
 * @param data
 *
 */

export function selectRuleAndVersionById(id) {
  return request({
    url: '/rule/rule/selectRuleAndVersionById/'+id,
    method: 'post',
  })
}

