import request from "@/utils/request";

export function getList(data) {
  return request({
    url: '/task/taskInfo/list',
    method: 'post',
    data
  })
}


export function save(data) {
  return request({
    url: '/task/taskInfo',
    method: 'post',
    data
  })
}
export function findById(id) {
  return request({
    url: `/task/taskInfo/${id}`,
    method: 'get'
  })
}
export function deleteInfo(id) {
  return request({
    url: `/task/taskInfo/${id}`,
    method: 'delete'
  })
}
export function updateInfo(data) {
  return request({
    url: `/task/taskInfo/${data.id}`,
    method: 'put',
    data
  })
}

export function updateByJson(id, data) {
  return request({
    url: `/task/taskInfo/updateByJson/${id}`,
    method: 'post',
    data
  })
}

export function execute(id) {
  return request({
    url: `/task/taskInfo/execute?taskId=`+id,
    method: 'post',
  })
}

export function findByTableFieName(id) {
  return request({
    url: `/task/TaskInput/findByTableFieName/${id}`,
    method: 'post',
  })
}
